--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Rewrites :when nodes so :case can digest it into if/else structure [:when, [args], body]
full_name: Rewriter#process_when
is_singleton: false
name: process_when
params: (exp)
visibility: public
